Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.crash
Class CrashReport

    java.lang.Object
      net.minecraft.crash.CrashReport

    public class CrashReport

extends Object

Constructor Summary
`CrashReport(String par1Str, Throwable par2Throwable)`

Method Summary
`CrashReportCategory` | `func_85056_g()`
`String` | `func_90021_c()`
`String` | `getCauseStackTraceOrString()` Gets the stack trace of the Throwable that caused this crash report, or if that fails, the cause .toString().
`String` | `getCompleteReport()` Gets the complete report with headers, stack trace, and different sections as a string.
`Throwable` | `getCrashCause()` Returns the Throwable object that is the cause for the crash and Crash Report.
`String` | `getDescription()` Returns the description of the Crash Report.
`File` | `getFile()`
`void` | `getSectionsInStringBuilder(StringBuilder par1StringBuilder)` Gets the various sections of the crash report into the given StringBuilder
`CrashReportCategory` | `makeCategory(String par1Str)` Creates a CrashReportCategory
`CrashReportCategory` | `makeCategoryDepth(String par1Str, int par2)` Creates a CrashReportCategory for the given stack trace depth
`static CrashReport` | `makeCrashReport(Throwable par0Throwable, String par1Str)` Creates a crash report for the exception
`boolean` | `saveToFile(File par1File)` Saves the complete crash report to the given File.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CrashReport

    public CrashReport(String par1Str,
                       Throwable par2Throwable)

Method Detail

### getDescription

    public String getDescription()

  Returns the description of the Crash Report.

### getCrashCause

    public Throwable getCrashCause()

  Returns the Throwable object that is the cause for the crash and Crash Report.

### func_90021_c

    public String func_90021_c()

### getSectionsInStringBuilder

    public void getSectionsInStringBuilder(StringBuilder par1StringBuilder)

  Gets the various sections of the crash report into the given StringBuilder

### getCauseStackTraceOrString

    public String getCauseStackTraceOrString()

  Gets the stack trace of the Throwable that caused this crash report, or if that fails, the cause .toString().

### getCompleteReport

    public String getCompleteReport()

  Gets the complete report with headers, stack trace, and different sections as a string.

### getFile

    public File getFile()

### saveToFile

    public boolean saveToFile(File par1File)

  Saves the complete crash report to the given File.

### func_85056_g

    public CrashReportCategory func_85056_g()

### makeCategory

    public CrashReportCategory makeCategory(String par1Str)

  Creates a CrashReportCategory

### makeCategoryDepth

    public CrashReportCategory makeCategoryDepth(String par1Str,
                                                 int par2)

  Creates a CrashReportCategory for the given stack trace depth

### makeCrashReport

    public static CrashReport makeCrashReport(Throwable par0Throwable,
                                              String par1Str)

  Creates a crash report for the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD